Subject: compile fails with binary mount
From: [email-masked] (Gary Bishop)

16 May 1997 20:44:53 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 3.0.1 (32)
Original-To: [email-masked]
Original-Sender: [email-masked]

I found the problem.  I had edited specs and emacs had inserted ^M
characters all in it.

Anyone know how to make emacs19.34.1 not put ^M on lines?
gb

>Date: Fri, 16 May 1997 16:28:35 -0400
>To: [email-masked]
>From: Gary Bishop <[email-masked]>
>Subject: compile fails with binary mount
>
>I'm trying to take the advice I've been seeing to use binary mounts only.
But I find that I can't even compile a simple program like dtou.c with a
binary mount.  I get a message like:
>
>bash$ gcc -o dtou dtou.c
>dtou.c: In function `cvt':
>dtou.c:57: warning: assignment from incompatible pointer type
>dtou.c:58: warning: assignment from incompatible pointer type
>Assembler messages:
>Error: Can't open 
 for reading.
>
: Invalid argument
>gcc: Internal compiler error: program as got fatal signal 1
>
>my mounts were
>
>bash$ mount
>Device           Directory           Type        Flags
>\\.\tape1:       /dev/st1            native      no-mixed,text!=binary
>\\.\tape0:       /dev/st0            native      no-mixed,text!=binary
>\\.\b:           /dev/fd1            native      no-mixed,text!=binary
>\\.\a:           /dev/fd0            native      no-mixed,text!=binary
>d:               /                   native      no-mixed,text=binary
>
>What am I doing wrong?  This is driving me crazy!
>gb
>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".